org.apache.tinkerpop.gremlin.process.traversal.traverser

## Class LP_O_OB_P_S_SE_SL_Traverser<T>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser<T>
  - - org.apache.tinkerpop.gremlin.process.traversal.traverser.O_Traverser<T>
    - - org.apache.tinkerpop.gremlin.process.traversal.traverser.O_OB_S_SE_SL_Traverser<T>
      - - org.apache.tinkerpop.gremlin.process.traversal.traverser.LP_O_OB_P_S_SE_SL_Traverser<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Traverser<T>>, Traverser<T>, Traverser.Admin<T>, Attachable<T>
  Direct Known Subclasses:
    LP_NL_O_OB_P_S_SE_SL_Traverser

      public class LP_O_OB_P_S_SE_SL_Traverser<T>
      extends O_OB_S_SE_SL_Traverser<T>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `Traverser.Admin<T>`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Path` | `path`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.O_OB_S_SE_SL_Traverser

      `bulk, future, loopName, loops, sack, sideEffects`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.O_Traverser

      `tags`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `t`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `HALT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LP_O_OB_P_S_SE_SL_Traverser()`
    `` | `LP_O_OB_P_S_SE_SL_Traverser(T t, Step<T,?> step)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLabels(Set<String> labels)`
    `Traverser.Admin<T>` | `detach()` Prepare the traverser for migration across a JVM boundary.
    `void` | `dropLabels(Set<String> labels)` Drop all path information associated with specified labels.
    `void` | `dropPath()` Drop the path of the traverser.
    `protected boolean` | `equals(LP_O_OB_P_S_SE_SL_Traverser other)`
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `void` | `keepLabels(Set<String> labels)` Drop all path information not associated with specified labels.
    `Path` | `path()` Get the current path of the traverser.
    `Traverser.Admin<T>` | `split()` Generate a sibling traverser of the current traverser with a full copy of all state within the sibling.
    `<R> Traverser.Admin<R>` | `split(R r, Step<T,R> step)` Generate a child traverser of the current traverser for current as step and new object location.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.O_OB_S_SE_SL_Traverser

      `bulk, equals, getSideEffects, getStepId, incrLoops, initialiseLoops, loops, loops, merge, resetLoops, sack, sack, setBulk, setSideEffects, setStepId`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.O_Traverser

      `equals, getTags`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `attach, clone, get, set, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `isHalted`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `asAdmin, compareTo, path, path, sideEffects, sideEffects`

- - ### Field Detail

    - #### path

          protected Path path

  - ### Constructor Detail

    - #### LP_O_OB_P_S_SE_SL_Traverser

          protected LP_O_OB_P_S_SE_SL_Traverser()

    - #### LP_O_OB_P_S_SE_SL_Traverser

          public LP_O_OB_P_S_SE_SL_Traverser(T t,
                                             Step<T,?> step)

  - ### Method Detail

    - #### path

          public Path path()

      Description copied from interface: `Traverser`
      Get the current path of the traverser.
      Specified by:
        `path` in interface `Traverser<T>`
      Overrides:
        `path` in class `AbstractTraverser<T>`
      Returns:
        The path of the traverser

    - #### detach

          public Traverser.Admin<T> detach()

      Description copied from interface: `Traverser.Admin`
      Prepare the traverser for migration across a JVM boundary.
      Specified by:
        `detach` in interface `Traverser.Admin<T>`
      Overrides:
        `detach` in class `AbstractTraverser<T>`
      Returns:
        The deflated traverser

    - #### split

          public <R> Traverser.Admin<R> split(R r,
                                              Step<T,R> step)

      Description copied from interface: `Traverser.Admin`
      Generate a child traverser of the current traverser for current as step and new object location. The child has the path history, future, and loop information of the parent. The child extends that path history with the current as and provided R-object.
      Specified by:
        `split` in interface `Traverser.Admin<T>`
      Overrides:
        `split` in class `O_OB_S_SE_SL_Traverser<T>`
      Type Parameters:
        `R` - The current object type of the child
      Parameters:
        `r` - The current object of the child
        `step` - The step yielding the split
      Returns:
        The split traverser

    - #### split

          public Traverser.Admin<T> split()

      Description copied from interface: `Traverser.Admin`
      Generate a sibling traverser of the current traverser with a full copy of all state within the sibling.
      Specified by:
        `split` in interface `Traverser.Admin<T>`
      Overrides:
        `split` in class `O_OB_S_SE_SL_Traverser<T>`
      Returns:
        The split traverser

    - #### addLabels

          public void addLabels(Set<String> labels)

      Specified by:
        `addLabels` in interface `Traverser.Admin<T>`
      Overrides:
        `addLabels` in class `AbstractTraverser<T>`

    - #### keepLabels

          public void keepLabels(Set<String> labels)

      Description copied from interface: `Traverser.Admin`
      Drop all path information not associated with specified labels. This is an optimization method that allows a traverser to save memory and increase the likelihood of bulking.
      Specified by:
        `keepLabels` in interface `Traverser.Admin<T>`
      Overrides:
        `keepLabels` in class `AbstractTraverser<T>`
      Parameters:
        `labels` - the labels to keep path information for.

    - #### dropLabels

          public void dropLabels(Set<String> labels)

      Description copied from interface: `Traverser.Admin`
      Drop all path information associated with specified labels. This is an optimization method that allows a traverser to save memory and increase the likelihood of bulking.
      Specified by:
        `dropLabels` in interface `Traverser.Admin<T>`
      Overrides:
        `dropLabels` in class `AbstractTraverser<T>`
      Parameters:
        `labels` - the labels to drop path information for.

    - #### dropPath

          public void dropPath()

      Description copied from interface: `Traverser.Admin`
      Drop the path of the traverser. This is an optimization method that allows a traverser to save memory and increase the likelihood of bulking.
      Specified by:
        `dropPath` in interface `Traverser.Admin<T>`
      Overrides:
        `dropPath` in class `AbstractTraverser<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `O_OB_S_SE_SL_Traverser<T>`

    - #### equals

          protected final boolean equals(LP_O_OB_P_S_SE_SL_Traverser other)

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `O_OB_S_SE_SL_Traverser<T>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.